#norootforbuild

%define peardir %(pear config-get php_dir 2> /dev/null || echo %{_datadir}/pear)
%define pear_xmldir  /var/lib/pear

Name:           php5-pear-channel-ezno
Version:        1.0
Release:        1.6
Summary:        Adds components.ez.no channel to PEAR
Group:          Development/Languages
License:        BSD
URL:            http://components.ez.no/
Source0:        http://components.ez.no/channel.xml
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
BuildRequires:  php5-pear >= 5.1.1
PreReq:         php5 php5-pear >= 5.1.1

%description
This package adds the components.ez.no channel which allows PEAR packages
from this channel to be installed.


%prep
%setup -q -c -T


%build
# Empty build section, nothing to build


%install

%{__mkdir_p} %{buildroot}%{pear_xmldir}
%{__install} -pm 644 %{SOURCE0} %{buildroot}%{pear_xmldir}/components.ez.no.xml


%clean

%{__rm} -rf %{buildroot}


%post

if [ $1 -eq  1 ] ; then
   pear channel-add %{pear_xmldir}/components.ez.no.xml > /dev/null || :
else
   pear channel-update %{pear_xmldir}/components.ez.no.xml > /dev/null ||:
fi


%postun

if [ $1 -eq 0 ] ; then
   pear channel-delete components.ez.no > /dev/null || :
fi


%files
%defattr(-,root,root,-)
%{pear_xmldir}/*

